[meta] Enable us to use the second number in the Firefox version

NEW
Unassigned

Status

()

Firefox
General
4 years ago
4 years ago

People

(Reporter: akeybl, Unassigned)

Tracking

({addon-compat})

unspecified
addon-compat
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(firefox24+ fixed, firefox25+ fixed)

Details

(Whiteboard: [qa-])

(Reporter)

Description

4 years ago
We'd like to use the second number in the ESR (and mainline Firefox) version number for planned security releases of a single Gecko version.
(Reporter)

Updated

4 years ago
tracking-firefox23: --- → ?
Depends on: 869568
(Reporter)

Updated

4 years ago
Depends on: 870868
(Reporter)

Updated

4 years ago
tracking-firefox23: ? → ---
tracking-firefox23: --- → ?
Keywords: addon-compat
tracking-firefox23: ? → +
tracking-firefox24: --- → +
(Reporter)

Comment 1

4 years ago
Can't remember why I tracked this for 23. Still tracking for 24 though, to prepare for a 24.1.
tracking-firefox23: + → ---

Updated

4 years ago
status-firefox24: --- → affected
status-firefox25: --- → affected
tracking-firefox25: --- → +
:bhearsum, the dependencies look resolved, anything else needed for this to work which may not be on this bug?
(In reply to bhavana bajaj [:bajaj] from comment #2)
> :bhearsum, the dependencies look resolved, anything else needed for this to
> work which may not be on this bug?

Nope, should be fine. Sorry for missing this question - somehow I wasn't cc'ed or anything.

Updated

4 years ago
status-firefox24: affected → fixed
status-firefox25: affected → fixed

Comment 4

4 years ago
… and RESO-FIX the bug?
I don't see anything specific needing QA verification here. Please replace the [qa-] whiteboard tag with the verifyme keyword if there's something needed from us here.
Whiteboard: [qa-]
Bug 870868 froze the second number of the UA Gecko version at zero:

(Bug 870868 Comment 0)
> Please freeze the second number of the UA Gecko version at zero. So for
> instance Firefox 24.1 would show up as Firefox 24.0 in the UA.

This bug says "enable us to *use* the second number" but it actually won't affect site/add-on compatibility, right?
OS: Mac OS X → All
Hardware: x86 → All

Updated

4 years ago
Flags: needinfo?(akeybl)
(Reporter)

Comment 7

4 years ago
(In reply to Kohei Yoshino [:kohei] from comment #6)
> Bug 870868 froze the second number of the UA Gecko version at zero:
> 
> (Bug 870868 Comment 0)
> > Please freeze the second number of the UA Gecko version at zero. So for
> > instance Firefox 24.1 would show up as Firefox 24.0 in the UA.
> 
> This bug says "enable us to *use* the second number" but it actually won't
> affect site/add-on compatibility, right?

Correct, because bug 870868 was resolved.
Flags: needinfo?(akeybl)
akeybl: thanks for your clarification. 

jorgev: you may want to update your add-on compat doc:
https://blog.mozilla.org/addons/2013/09/03/compatibility-for-firefox-24/
Flags: needinfo?(jorge)
This was done some time ago. Thanks for the poke.
Flags: needinfo?(jorge)
You need to log in before you can comment on or make changes to this bug.